%set_verify_elf_method relaxed

Summary: CPU frequency scaling daemon
Name: cpufreqd
Version: 2.2.1
Release: alt1
License: GPL
Group: System/Kernel and hardware
Source: %name-%version.tar.bz2
Source1: %name.init
Patch1: cpufreqd-2.1.1-defaults.patch
Patch2: cpufreqd.conf-alt-fix-cpumax.patch

Url: http://sourceforge.net/projects/cpufreqd/

BuildRequires: gcc-c++ libcpufreq-devel libsensors-devel libsysfs-devel packages-info-i18n-common
Requires: cpufrequtils

%description
Cpufreqd is meant to be a replacement of the speedstep applet you
can find on some other OS, it monitors battery level, AC state and
running programs and adjusts the frequency of the processor according to
a set of rules specified in the config file (see cpufreqd.conf (5)).

Cpufreqd 2 aims to become the next generation power management
daemon. It provides a common interface to enable system monitoring
and to take useful actions upon that.
Currently it is still centered on the CPUFreq kernel interface,
that means that running a CPUFreq capable kernel is still needed but
also that behaviour could be delegated to a plugin.

Note that the configuration file format is slightly incompatible
with the previous cpufreqd 1 but it's really easy to migrate (a
simple Perl script could do it, I'll try to prepare one soon).

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
#  %__autoreconf
%configure
%make_build

%install
%make DESTDIR=%buildroot install

%__install -d %buildroot%_initdir
%__install %SOURCE1 %buildroot%_initdir/%name

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post
%post_service cpufreqd

%preun
%preun_service cpufreqd

%files
%doc AUTHORS COPYING INSTALL README NEWS TODO ChangeLog
%_sbindir/*
%_bindir/*
%_libdir/*
%attr(644,root,root) %config(noreplace) %_sysconfdir/%name.conf
%_initdir/%name
%_mandir/man?/*

%changelog
* Tue Apr 24 2007 Alexey Shabalin <shaba@altlinux.ru> 2.2.1-alt1
- 2.2.1
- clean spec
- add more programs to rule in cpufreqd.conf (patch1)
- fix restore maximum cpu (patch2)

* Tue Jan 10 2006 Alexey Shabalin <shaba@altlinux.ru> 2.0.0-alt1
- 2.0.0 of the next generation verion
- remove two config files (only one for kernel-2.6)

* Mon Jun 27 2005 Alexey Shabalin <shaba@altlinux.ru> 1.2.3-alt2
- fix init script (#7007)

* Tue May 24 2005 Alexey Shabalin <shaba@altlinux.ru> 1.2.3-alt1
- update 1.2.3 

* Mon Apr 25 2005 Alexey Shabalin <shaba@altlinux.ru> 1.2.2-alt1
- update cpufreqd-1.1.2 
- add two config files cpufregd.conf-2.4 and cpufreqd.conf-2.6
- autoselect config file for 2.4 or 2.6 kernel

* Sun Oct 03 2004 Alexey Shabalin <shaba@altlinux.ru> 1.2.0-alt1
- new version 1.2.0 

* Mon Mar 15 2004 Alexey Shabalin <shaba@altlinux.ru> 1.1.2-alt1
- update cpufreqd-1.1.2 
- remove /etc/sysconfig/cpufreqd
- update init scripts 

* Wed Jan 07 2004 Alexey Shabalin <shaba@altlinux.ru> 1.1-alt1
- initial release

